#! python3  # noqa: E265

"""
    Enumerations definition for Entwine
"""

# ##################################
# ########## Libraries #############
# ##################################

# Standard library
from enum import StrEnum

# ##################################
# ########## Classes ###############
# ##################################


class EntwineDataType(StrEnum):
    """Entwine process data types"""

    LASZIP = "laszip"
    ZSTANDARD = "zstandard"
    BINARY = "binary"


class EntwineStep(StrEnum):
    """Entwine process steps"""

    BUILD = "build"
    MERGE = "merge"
    INFO = "info"
